import React from "react";

export default ({ gameId, onChangeGameId, onJoinGame, cannotJoinGame }) => (
  <div style={{
    display: "flex",
    flexFlow: "column nowrap",
    justifyContent: "center",
    alignItems: "center",
  }}>
    <span style={{ padding: "0.1em" }}>Game ID:</span>
    <input style={{ margin: "0.1em" }} type="text" value={gameId || ""} onChange={onChangeGameId} />
    <button style={{ margin: "0.1em" }} onClick={onJoinGame} disabled={cannotJoinGame}>
      Join Existing Game
    </button>
  </div>
);