import React, { useRef, useEffect } from "react";
/* global google */

export default React.memo(({ position }) => {
  const panoDivRef = useRef(null);
  useEffect(() => {
    const pano = new google.maps.StreetViewPanorama(panoDivRef.current, {
      position,
      addressControl: false,
      showRoadLabels: false,
      clickToGo: true,
      visible: true,
    });
    console.log("Created Street View Pano");
    
  });

  return (
    <div
      style={{ height: "100%" }}
      ref={panoDivRef}
    />
  );
});
